package com.utopiaindustries.qualitychecker.models;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class InspectionItemDimension implements Serializable {

    private static final long serialVersionUID = 1L;
    private long id;
    private long inspectionItemId;
    private String type;
    private float actual;
    private float required;
    private float difference;
    private String unit;

    public InspectionItemDimension() {
    }
    public InspectionItemDimension(String type, float actual, float required, float difference, String unit) {
        this.type = type;
        this.actual = actual;
        this.required = required;
        this.difference = difference;
        this.unit = unit;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getInspectionItemId() {
        return inspectionItemId;
    }

    public void setInspectionItemId(long inspectionItemId) {
        this.inspectionItemId = inspectionItemId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public float getActual() {
        return actual;
    }

    public void setActual(float actual) {
        this.actual = actual;
    }

    public float getRequired() {
        return required;
    }

    public void setRequired(float required) {
        this.required = required;
    }

    public float getDifference() {
        return difference;
    }

    public void setDifference(float difference) {
        this.difference = difference;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Override
    public String toString() {
        return "InspectionItemDimension{" +
                "id=" + id +
                ", inspectionItemId=" + inspectionItemId +
                ", type='" + type + '\'' +
                ", actual=" + actual +
                ", required=" + required +
                ", difference=" + difference +
                ", unit='" + unit + '\'' +
                '}';
    }
}
